Subject: Re: [trill] [Idr] WGLC for draft-ietf-idr-ls-trill-03

From: Donald Eastlake <[email-masked]>
Date: Tue, 3 Apr 2018 00:11:40 -0400

Hi John,

Thanks for these comments, See below.

On Wed, Mar 21, 2018 at 11:32 AM, John G. Scudder <[email-masked]> wrote:
> Hi All,
>
> This WGLC collected exactly one expression of support other than from
> co-authors, from [email-masked]. I'm afraid we don't have
> consensus to progress the document right now, or evidence that the document
> has received much in the way of review.
>
> I do note several problems that will need to be resolved:
>
> 1. There are six front-page authors. There should be five or fewer, see the
> final bullet of
> https://trac.ietf.org/trac/idr/wiki/Checklist%20for%20writing%20a%20BGP-related%20draft

OK.

> 2. The IANA section has
>
>    IANA is requested to assign one Node Flag bit for "Layer 3 Gateway"
>    from the BGP-LS registry of BGP-LS Attribute TLVs.
>
> however, the registry BGP-LS Node Descriptor, Link Descriptor, Prefix
> Descriptor, and Attribute TLVs actually has no provision for registering new
> flag bits. https://tools.ietf.org/html/rfc7752#section-3.3.1.1 simply lists
> them as "Reserved for future use". Possibly address this by requesting IANA
> to create the registry within the "Border Gateway Protocol - Link State
> (BGP-LS) Parameters" and allocate your bit from there. You would also have
> to make your draft update RFC 7752. I've cc'd Adrian and Hannes, the
> Designated Experts for that group of registries, in case they have further
> comment.

Creating a registry in this document seems like the appropriate course
of action.

> 3. Not precisely a problem, but are there implementations of the draft? As
> you know, if there aren't, by IDR WG convention we will stall until we do
> have some, even if we do complete a WGLC.

I am not aware of any right now.

> 4. I'd kind of prefer you remove tables 1 and 2. They aren't authoritative
> and table 1 is actually obsolete.

OK.

> 5. Section 3.3.1.1 has
>
>            +----------+----------------------------+-----------+
>            | Bit      |          Description       | Reference |
>            +----------+----------------------------+-----------+
>            | 'G'      | Layer 3 Gateway Bit        | [RFC7176] |
>            | Reserved | Reserved for future use    |           |
>            +----------+----------------------------+-----------+
>
> I think the reference must be wrong. RFC 7176 ("Transparent Interconnection
> of Lots of Links (TRILL) Use of IS-IS") doesn't include the string "gateway"
> at all, so if the ref is correct, it's at best obscure.
>
> But in any case, per #2 above, probably this is not the right table in the
> right place.

I'll see what I can do to improve this.

> 6. I have read section 3.3.1.2 several times and don't understand it. Other
> than "what does it mean?" I wonder what the intent of table 6 is. It kind of
> resembles the table in section 5.2 of RFC 7176? I'm confused.

I think Section 3.3.1.2 is enumerating TRILL link state information
that can be transported in BGP-LS using the opaque node attribute TLV
as of some point in time (perhaps when the -00 draft was created).
However, additional possible TRILL link state information has been
specified since [RFC7176]. In any case, I think this subsection should
be recast in a more general way and the Table 6 should probably be
eliminated.

> 7. Is this a typo?
>
>    o  Does any fixed length TLV correspond to the TLV Length field in
>       this document ?
>
> Do you mean "every"?

I believe it should be "every".

> 8. In this:
>
>          opaque TLV support the range of ISIS-TLV/SUB-TLV shown in Table
>             3,  and link TLVs support the range in Figure 8.
>
> there is no figure 8 in the document.

I think it is just trying to say that you check that items of link
state information are inside the right envelope; but, it is not very
clear and refers to Figure 8 when it probably means Table 7. I'll try
to improve it.

> 9. I don't know if the security section will fly, but then again I don't
> know if it won't. Once the doc is revised to address the above I'll ask the
> Sec Dir for a review.

OK.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

> Thanks,
>
> --John
>
>
> On Oct 19, 2017, at 3:33 PM, John Scudder <[email-masked]> wrote:
>
> Hi All,
>
> An IDR working group last call has been requested for
> draft-ietf-idr-ls-trill-03. Please reply to the list with your comments. As
> usual note we cannot advance the draft without participation from the group.
> Please get your comments in before November 3, 2017.
>
> Authors, please confirm that any relevant IPR has been disclosed.
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Didr-2Dls-2Dtrill-2D03&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=YQIHKfaMAUOrl3hLdgq6nw1PcXtmtpICF3XlGCVFreQ&s=6fwhGLRqq-HwpYC9ZJyaR60B_kl8F-1BV0Gd5B7XPl8&e=
>
> Thanks,
>
> --John
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_idr&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=YQIHKfaMAUOrl3hLdgq6nw1PcXtmtpICF3XlGCVFreQ&s=1Hl0Amflm0UF1PXY9sJgdlNF1i0jXiSk9xReayA2hF0&e=
>
>

---

From: "John G. Scudder" <[email-masked]>
Date: Tue, 3 Apr 2018 10:38:04 -0400

Hi Donald,

> On Apr 3, 2018, at 12:11 AM, Donald Eastlake <[email-masked]> wrote:
> 

Thanks for your reply. When you've issued a new version we can take it up again. 

--John